unit MainFormUnit;

{$mode Delphi}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, StdCtrls, PasLibVlcPlayerUnit;

type

  { TMainForm }

  TMainForm = class(TForm)
    FullScreenBtn: TButton;
    FileNameEdit: TEdit;
    FileNameLabel: TLabel;
    Panel1: TPanel;
    PasLibVlcPlayer1: TPasLibVlcPlayer;
    PlayBtn: TButton;
    procedure FullScreenBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure PlayBtnClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  MainForm: TMainForm;

implementation

{ TMainForm }

uses
  {$IFDEF FPC}LCLIntf,{$ENDIF}
  FullScreenFormUnit;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  {$IFDEF LCLGTK2}
    Caption := Caption + ' LCL GTK2';
  {$ELSE}
    {$IFDEF LCLQT}
      Caption := Caption + ' LCL QT';
    {$ELSE}
      Caption := Caption + ' LCL WIN32';
    {$ENDIF}
  {$ENDIF}
  FileNameEdit.Text := '..'+PathDelim+'..'+PathDelim+'_testFiles'+PathDelim+'Maximize.mp4';
  // PasLibVlcPlayer1.Play('http://www.youtube.com/watch?v=6ZZ4tjVYzXg&feature=rec-LGOUT-farside_rn-3r-18-HM');
  // PasLibVlcPlayer1.Play('http://www.radio-canada.ca/util/endirect/premiere.asx');
end;

procedure TMainForm.FullScreenBtnClick(Sender: TObject);
var
  aFullScreenForm : TFullScreenForm;
  oldL, oldT, oldW, oldH : Integer;
  oldA : TAlign;
begin
  {$IFDEF MSWINDOWS}
    {$IFDEF LCLGTK2}
      MessageDlg('LCL GTK2 full screen mode demo now work', mtInformation, [mbOK], 0);
      exit;
    {$ENDIF}
    {$IFDEF LCLQT}
      MessageDlg('LCL QT full screen mode demo now work', mtInformation, [mbOK], 0);
      exit;
    {$ENDIF}
  {$ENDIF}

  MessageDlg('Press any key, to leave full screen mode', mtInformation, [mbOK], 0);

  oldL := PasLibVlcPlayer1.Left;
  oldT := PasLibVlcPlayer1.Top;
  oldW := PasLibVlcPlayer1.Width;
  oldH := PasLibVlcPlayer1.Height;
  oldA := PasLibVlcPlayer1.Align;

  if (oldA <> alNone) then PasLibVlcPlayer1.Align := alNone;

  aFullScreenForm := TFullScreenForm.Create(SELF);
  aFullScreenForm.SetBounds(Monitor.Left, Monitor.Top, Monitor.Width, Monitor.Height);

  {$IFDEF FPC}
  //PasLibVlcPlayer1.ParentWindow := aFullScreenForm.Handle;
  LCLIntf.SetParent(PasLibVlcPlayer1.Handle, aFullScreenForm.Handle);
  {$ELSE}
    {$IFDEF MSWINDOWS}
      Windows.SetParent(PasLibVlcPlayer1.Handle, aFullScreenForm.Handle);
    {$ENDIF}
  {$ENDIF}
  PasLibVlcPlayer1.SetBounds(0, 0, Monitor.Width, Monitor.Height);

  aFullScreenForm.ShowModal;

  PasLibVlcPlayer1.SetBounds(oldL, oldT, oldW, oldH);
  {$IFDEF FPC}
    LCLIntf.SetParent(PasLibVlcPlayer1.Handle, SELF.Handle);
  {$ELSE}
    {$IFDEF MSWINDOWS}
      Windows.SetParent(PasLibVlcPlayer1.Handle, SELF.Handle);
    {$ENDIF}
  {$ENDIF}

  aFullScreenForm.Free;

  if (oldA <> alNone) then PasLibVlcPlayer1.Align := oldA;
end;

procedure TMainForm.PlayBtnClick(Sender: TObject);
begin
  PasLibVlcPlayer1.Play(FileNameEdit.Text);
end;

initialization
  {$I MainFormUnit.lrs}

end.

